package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_order_coupon_no
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderCouponNo implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 卡券订单id
     */
    private Long couponOrderId;

    /**
     * 推送订单号
     */
    private String orderNo;

    /**
     * 渠道订单号
     */
    private String channelOrderNo;

    /**
     * 商品虚拟来源
     */
    private Integer goodsVpdSource;

    /**
     * 商品虚拟key
     */
    private String goodsVpdKey;

    /**
     * 商品虚拟来源卡券编号
     */
    private String goodsVpdSourceCouNo;

    /**
     * 过期状态  0：否  1：是
     */
    private Boolean expireStatus;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 状态  1：未派发   2：已派发   3：已使用   4：已过期   5：已退款
     */
    private Integer status;

    /**
     * 异常状态  0：正常  1：异常
     */
    private Boolean exceptionStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 派发时间
     */
    private Date deliverTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCouponOrderId() {
        return couponOrderId;
    }

    public void setCouponOrderId(Long couponOrderId) {
        this.couponOrderId = couponOrderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getChannelOrderNo() {
        return channelOrderNo;
    }

    public void setChannelOrderNo(String channelOrderNo) {
        this.channelOrderNo = channelOrderNo;
    }

    public Integer getGoodsVpdSource() {
        return goodsVpdSource;
    }

    public void setGoodsVpdSource(Integer goodsVpdSource) {
        this.goodsVpdSource = goodsVpdSource;
    }

    public String getGoodsVpdKey() {
        return goodsVpdKey;
    }

    public void setGoodsVpdKey(String goodsVpdKey) {
        this.goodsVpdKey = goodsVpdKey;
    }

    public String getGoodsVpdSourceCouNo() {
        return goodsVpdSourceCouNo;
    }

    public void setGoodsVpdSourceCouNo(String goodsVpdSourceCouNo) {
        this.goodsVpdSourceCouNo = goodsVpdSourceCouNo;
    }

    public Boolean getExpireStatus() {
        return expireStatus;
    }

    public void setExpireStatus(Boolean expireStatus) {
        this.expireStatus = expireStatus;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Boolean getExceptionStatus() {
        return exceptionStatus;
    }

    public void setExceptionStatus(Boolean exceptionStatus) {
        this.exceptionStatus = exceptionStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getDeliverTime() {
        return deliverTime;
    }

    public void setDeliverTime(Date deliverTime) {
        this.deliverTime = deliverTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderCouponNo other = (BsOrderCouponNo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCouponOrderId() == null ? other.getCouponOrderId() == null : this.getCouponOrderId().equals(other.getCouponOrderId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getChannelOrderNo() == null ? other.getChannelOrderNo() == null : this.getChannelOrderNo().equals(other.getChannelOrderNo()))
            && (this.getGoodsVpdSource() == null ? other.getGoodsVpdSource() == null : this.getGoodsVpdSource().equals(other.getGoodsVpdSource()))
            && (this.getGoodsVpdKey() == null ? other.getGoodsVpdKey() == null : this.getGoodsVpdKey().equals(other.getGoodsVpdKey()))
            && (this.getGoodsVpdSourceCouNo() == null ? other.getGoodsVpdSourceCouNo() == null : this.getGoodsVpdSourceCouNo().equals(other.getGoodsVpdSourceCouNo()))
            && (this.getExpireStatus() == null ? other.getExpireStatus() == null : this.getExpireStatus().equals(other.getExpireStatus()))
            && (this.getExpireTime() == null ? other.getExpireTime() == null : this.getExpireTime().equals(other.getExpireTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExceptionStatus() == null ? other.getExceptionStatus() == null : this.getExceptionStatus().equals(other.getExceptionStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getDeliverTime() == null ? other.getDeliverTime() == null : this.getDeliverTime().equals(other.getDeliverTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCouponOrderId() == null) ? 0 : getCouponOrderId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getChannelOrderNo() == null) ? 0 : getChannelOrderNo().hashCode());
        result = prime * result + ((getGoodsVpdSource() == null) ? 0 : getGoodsVpdSource().hashCode());
        result = prime * result + ((getGoodsVpdKey() == null) ? 0 : getGoodsVpdKey().hashCode());
        result = prime * result + ((getGoodsVpdSourceCouNo() == null) ? 0 : getGoodsVpdSourceCouNo().hashCode());
        result = prime * result + ((getExpireStatus() == null) ? 0 : getExpireStatus().hashCode());
        result = prime * result + ((getExpireTime() == null) ? 0 : getExpireTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExceptionStatus() == null) ? 0 : getExceptionStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getDeliverTime() == null) ? 0 : getDeliverTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", couponOrderId=").append(couponOrderId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", channelOrderNo=").append(channelOrderNo);
        sb.append(", goodsVpdSource=").append(goodsVpdSource);
        sb.append(", goodsVpdKey=").append(goodsVpdKey);
        sb.append(", goodsVpdSourceCouNo=").append(goodsVpdSourceCouNo);
        sb.append(", expireStatus=").append(expireStatus);
        sb.append(", expireTime=").append(expireTime);
        sb.append(", status=").append(status);
        sb.append(", exceptionStatus=").append(exceptionStatus);
        sb.append(", createTime=").append(createTime);
        sb.append(", deliverTime=").append(deliverTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}